﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    string Element = Session["ID_Element"].ToString();
    int ID_Element = int.Parse(Element.Split(';')[1]);
    byte Type = byte.Parse(Element.Split(';')[0]);
    Layout = null;
}

<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "date:Date:date:10%", "mouvement:Mouvement:string:21.3%", "casier:Casier:number:10%", "plastique:Plastique:number:10%", "bouteille:Bouteille:number:10%", "casier_progressif:Casier Progressif:number:12%", "plastique_progressif:Plastique Progressif:number:12%", "bouteille_progressif:Bouteille Progressif:number:12%"];

</script>

<input id="LoardUrl" value="/Historique/AjaxHistoriqueStock" type="hidden" />
<input id="consulterUrl" value="/Historique/Consulter_Etat_Stock/" type="hidden" />
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div>
            <br />
            <button title="OK" type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
            <button title="Annuler" type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight:bold"></span>
<div class="boutons text-left">
    <table>
        <tr>         
            <td>
                @HTML_OUF.DropDownList("Type", Type, TempData["Type"] as SelectList, "160")
            </td>
            <td>
                @HTML_OUF.DropDownList("ID_Element", ID_Element, TempData["ID_Element"] as SelectList, "280")
            </td>

            <td>@Html.Partial("Filtre")</td>          
            <td>
                @if (true)
                {
                    <button title="Consulter" id="consulter" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-consult"></i>Consulter</button>
                }
            </td>
            <td>
                @if ((cmd.Contains("Export_Etat_Stock")))// (cmd.Contains("Supprimer_Centre"))
                {
                    <button title="Telecharger" type="button" id="telecharger" class="btn btn-default oufbutton"><i class="ouf-pdf"></i>Exporter</button>
                }
            </td>
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (true)//(cmd.Contains("Modifier_Centre"))
        {
            <li><i class='ouf-consult'></i> Consulter</li>
        }
    </ul>
</div>
<script>
    $("#C_ID_Element").off("change");
    $("#C_ID_Element").on("change", function (event) {
        ChargerGrille();
    });

    ChargerGrille = function () {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: '/Base/SetFiltreID/' + $("#Type").val() + ";" + $("#ID_Element").val(), // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
        .success(function (response) {
            $("#grades").jqxGrid('updatebounddata', 'cells');
            $("#grades").jqxGrid('clearselection');
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            $("#loaderSpace,#loader").hide();
            alert('echeck');
        });
    };

    $("#C_Type").off("change");
    $("#C_Type").on("change", function (event) {
        ChargerElement();
    });

    ChargerElement = function () {
        $.ajax({
            url: '/Historique/GetElement/' + $("#Type").val(), // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
            .success(function (response) {
                $('#ID_Element option').remove();
                $.each(response, function (index, val) {
                    var optionTag = $('<option></option>');
                    $(optionTag).val(val.Value).text(val.Text);
                    $('#ID_Element').append(optionTag);
                });
                $("#C_ID_Element").jqxDropDownList({ theme: "ui-redmond", width: '280' });
                $("#C_ID_Element").jqxDropDownList('loadFromSelect', 'ID_Element');
                $("#C_ID_Element").jqxDropDownList('selectedIndex', '0');
            })
            .error(function () {
                alert('echeck');
            });
    };

    $("#telecharger").on('click', function (event) {
        window.location = "/Base/ExporterHistoriqueStock/"+$("#Type").val() + ";" + $("#ID_Element").val();
    });

     $("#grades").on('bindingcomplete', function (event) {
        if ($("#C_Type").val() == 0) {
            $('#grades').jqxGrid('hidecolumn', 'plastique');	    
            $('#grades').jqxGrid('setcolumnproperty', 'mouvement', 'width', '26.3%');
            $('#grades').jqxGrid('setcolumnproperty', 'date', 'width', '15%');         
        } else {
            $('#grades').jqxGrid('showcolumn', 'plastique');
            $('#grades').jqxGrid('setcolumnproperty', 'mouvement', 'width', '21.3%');
            $('#grades').jqxGrid('setcolumnproperty', 'date', 'width', '10%');
        }
        $("#loaderSpace,#loader").hide();
       
    });
</script>
